Holger's Java API

## com.antelmann.opengeodb
Class GeoLocationFilter

    java.lang.Object
      com.antelmann.opengeodb.GeoLocationFilter

All Implemented Interfaces:
  Filter<GeoLocation>

    public class GeoLocationFilter

extends Object
implements Filter<GeoLocation>

Since:
  30.12.2014, 17:42:33
Author:
  holger

Field Summary

Fields inherited from interface com.antelmann.util.Filter
`EXCLUDE_ALL_FILTER, INCLUDE_ALL_FILTER`

Constructor Summary
`GeoLocationFilter(GeoTypeName name, Object value)`

Method Summary
`boolean` `accept(GeoLocation entry)` returns true only if the given entry is accepted by this filter
`SQLMapFilter<GeoLocation>` `toSQLMapFilter(OpenGeoDB db)` through this method, multiple conditions could be combined using `SQLComboFilter` or converted into a Stub filter.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeoLocationFilter

    public GeoLocationFilter(GeoTypeName name,
                             Object value)

Method Detail

### accept

    public boolean accept(GeoLocation entry)

  Description copied from interface: `Filter`
  returns true only if the given entry is accepted by this filter

  Specified by:
    `accept` in interface `Filter<GeoLocation>`

### toSQLMapFilter

    public SQLMapFilter<GeoLocation> toSQLMapFilter(OpenGeoDB db)

  through this method, multiple conditions could be combined using `SQLComboFilter` or converted into a Stub filter.

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads